---
id: tokyotosho
name: Tokyo Toshokan
description: "Tokyo Toshokan is a Public BitTorrent Library for JAPANESE Media"
language: en-US
type: public
encoding: UTF-8
links:
  - https://www.tokyotosho.info/
legacylinks:
  - https://tokyotosho.proxyportal.fun/
  - https://tokyotosho.uk-unblock.xyz/
  - https://tokyotosho.ind-unblock.xyz/
  - https://tokyotosho.unblocked.bar/
  - https://tokyotosho.proxyportal.pw/
  - https://tokyotosho.uk-unblock.pro/
  - https://tokyotosho.unblocked.rest/
  - https://tokyotosho.unblocked.monster/
  - https://tokyotosho.mrunblock.bond/
  - https://tokyotosho.nocensor.cloud/

settings:
  - name: cat
    type: select
    label: Category
    default: 0
    options:
      0: All
      1: Anime
      10: Non-English
      3: Manga
      8: Drama
      2: Music
      9: "Music Video"
      7: Raws
      4: Hentai
      12: "Hentai (Anime)"
      13: "Hentai (Manga)"
      14: "Hentai (Games)"
      11: Batch
      15: JAV
      5: Other

caps:
  categorymappings:
    - {id: 1, cat: TV/Anime, desc: "Anime"}
    - {id: 10, cat: TV/Anime, desc: "Non-English Anime"}
    - {id: 3, cat: Books, desc: "Manga"}
    - {id: 8, cat: TV/Anime, desc: "Drama"}
    - {id: 2, cat: Audio, desc: "Anime Music"}
    - {id: 9, cat: TV/Anime, desc: "Anime Music Videos"}
    - {id: 7, cat: TV/Anime, desc: "Raw Anime"}
    - {id: 4, cat: XXX, desc: "Hentai"}
    - {id: 12, cat: XXX, desc: "Hentai (Anime)"}
    - {id: 13, cat: XXX, desc: "Hentai (Manga)"}
    - {id: 14, cat: XXX, desc: "Hentai (Games)"}
    - {id: 11, cat: TV/Anime, desc: "Batch"}
    - {id: 15, cat: XXX, desc: "JAV"}
    - {id: 5, cat: Other, desc: "Other"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    book-search: [q]

search:
  paths:
    - path: "{{ if .Keywords }}search.php{{ else }}index.php{{ end }}"
  inputs:
    terms: "{{ .Keywords }}"
    cat: "{{ .Config.cat }}"

  rows:
    selector: "table.listing tr.category_0"
    after: 1
    filters:
      - name: andmatch

  fields:
    category:
      selector: a[href*="?cat="]
      attribute: href
      filters:
        - name: regexp
          args: (\d+)
    title:
      selector: td.desc-top a[type="application/x-bittorrent"]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: td.desc-top a[type="application/x-bittorrent"]
      attribute: href
    magnet:
      selector: a[href^="magnet:?xt="]
      attribute: href
      optional: true
    size:
      selector: td.desc-bot
      filters:
        - name: split
          args: ["|", 1]
        - name: regexp
          args: "Size: (.+?) ?$"
    date:
      selector: td.desc-bot
      filters:
        - name: split
          args: ["|", 2]
        - name: regexp
          args: "Date: (.+?) ?$"
        - name: replace
          args: ["UTC", "+00:00"]
        - name: dateparse
          args: "yyyy-MM-dd HH:mm zzz"
    seeders:
      selector: td.stats > span:nth-child(1)
    leechers:
      selector: td.stats > span:nth-child(2)
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# Engine n/a
